clang 10.0.0git

Public Member Functions | List of all members
clang::ento::SValVisitor< ImplClass, RetTy > Class Template Reference

SValVisitor - this class implements a simple visitor for SVal subclasses. More...

`#include "clang/StaticAnalyzer/Core/PathSensitive/SValVisitor.h"`

Inheritance diagram for clang::ento::SValVisitor< ImplClass, RetTy >:
[legend]

## Public Member Functions
RetTy | Visit (SVal V)
RetTy | VisitSVal (SVal V)

## Detailed Description

### template<typename ImplClass, typename RetTy = void>
class clang::ento::SValVisitor< ImplClass, RetTy >

SValVisitor - this class implements a simple visitor for SVal subclasses.

Definition at line 27 of file SValVisitor.h.

## Member Function Documentation

## ◆ Visit()

template<typename ImplClass, typename RetTy = void>

RetTy clang::ento::SValVisitor< ImplClass, RetTy >::Visit | ( | SVal | V | ) |
| inline

Definition at line 33 of file SValVisitor.h.

## ◆ VisitSVal()

template<typename ImplClass, typename RetTy = void>

RetTy clang::ento::SValVisitor< ImplClass, RetTy >::VisitSVal | ( | SVal | V | ) |
| inline

Definition at line 68 of file SValVisitor.h.

The documentation for this class was generated from the following file:

- include/clang/StaticAnalyzer/Core/PathSensitive/SValVisitor.h